CentOS系统 PHP5.3 编译GMP扩展(不可用)

CentOS系统 PHP5.3 编译GMP扩展

http://www.pxewb.com/194.html

wget http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz
gunzip GeoLiteCity.dat.gz
sudo mkdir -v /usr/share/GeoIP
sudo mv -v GeoLiteCity.dat /usr/share/GeoIP/GeoIPCity.dat

/opt/lampp/bin/phpize
./configure –with-php-config=/opt/lampp/bin/php-config
make
make install

yum update 之后,xampp 启动报错,加载 libc.so.6 \ libdl.so.2 \ librt.so.1 失败,没有找到该文件

解决方法是这样

vi /opt/lampp/lampp

找到:export LD_ASSUME_KERNEL=2.2.5
改为:export LD_ASSUME_KERNEL=2.8.0

egrep: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory

原文 http://blog.csdn.net/imphp/article/details/17058035

原文链接:,转发请注明来源!

发表评论